Subject: Re: bug#65904: 29.1.50; autorevert can't revert files in a symlink directory

From: Michael Albinus <[email-masked]>
Date: Tue, 19 Sep 2023 09:18:58 +0200

zhanghj <[email-masked]> writes:

Hi,

> I tried your patch on GNU/Linux. It works as you said(the same as in
> Emacs 26/27 now). I will try it on macOS later.

Thanks for the check. On macOS, inotify isn't used, so the change
wouldn't work.

> I have added some debug message and see that without this patch, the
> `filenotiy' also watch the file but `autorevert.el` can't receives
> events for the test file. After applying the patch, it can receive
> events for the test file. It seems that the patch is not harmful. Can
> you apply it in Emacs 29?

As said, there is the idea to support symlinked files/directories in
general. Once this is implemented, the proposed change for inotify will
be installed.

> Thanks.

Best regards, Michael.